Bug 235030 - devel/gogs: Update to 0.11.79
Summary: devel/gogs: Update to 0.11.79
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Jochen Neumeister
URL: https://github.com/gogs/gogs/releases
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-17 18:32 UTC by Dmitri Goutnik
Modified: 2019-01-28 09:17 UTC (History)
1 user (show)

See Also:


Attachments
patch file (879 bytes, patch)
2019-01-17 18:32 UTC, Dmitri Goutnik
dmgk: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitri Goutnik freebsd_committer 2019-01-17 18:32:06 UTC
Created attachment 201222 [details]
patch file

- Update 0.11.66 -> 0.11.79

Changelog: https://github.com/gogs/gogs/releases/tag/v0.11.79

QA:
  poudriere testport: OK (112i, 112a, 120a)
Comment 1 commit-hook freebsd_committer 2019-01-24 12:51:31 UTC
A commit references this bug:

Author: joneum
Date: Thu Jan 24 12:51:17 UTC 2019
New revision: 491091
URL: https://svnweb.freebsd.org/changeset/ports/491091

Log:
  Update to 0.11.79

  Changelog:

      LDAP group verification doesn't work when using 'dn' as user attribute #4684
      LDAP group verification fails #4792
      Emoji's do not work in wiki #4869
      Log level not applied from configuration #5007
      Not able to go get a repository with non-80 port #5305
      Fix critical CSRF vulnerabilities on API routes #5355
      Wrong redirect after updated protect branch setting whose name contains # #5442
      Clear labels not working #5445
      [Security] Remote command execution #5469
      Push event webhook is not triggered when new branch fetched to mirror repository #5473
      Large issue comment exceeds dashboard section #5502
      List collaborator API does not contain permission information #5538
      [Security] Log out only deletes browser cookies #5540
      [Security] Some routes need to be POST #5541
      [Security] Stored XSS in external issue tracker URL format #5545

  PR:		235030
  Submitted by:	Dmitri Goutnik <dg@syrec.org> (maintainer)
  MFH:		2019Q1
  Sponsored by:	Netzkommune GmbH

Changes:
  head/devel/gogs/Makefile
  head/devel/gogs/distinfo
Comment 2 commit-hook freebsd_committer 2019-01-28 09:17:12 UTC
A commit references this bug:

Author: joneum
Date: Mon Jan 28 09:16:44 UTC 2019
New revision: 491464
URL: https://svnweb.freebsd.org/changeset/ports/491464

Log:
  MFH: r491091

  Update to 0.11.79

  Changelog:

      LDAP group verification doesn't work when using 'dn' as user attribute #4684
      LDAP group verification fails #4792
      Emoji's do not work in wiki #4869
      Log level not applied from configuration #5007
      Not able to go get a repository with non-80 port #5305
      Fix critical CSRF vulnerabilities on API routes #5355
      Wrong redirect after updated protect branch setting whose name contains # #5442
      Clear labels not working #5445
      [Security] Remote command execution #5469
      Push event webhook is not triggered when new branch fetched to mirror repository #5473
      Large issue comment exceeds dashboard section #5502
      List collaborator API does not contain permission information #5538
      [Security] Log out only deletes browser cookies #5540
      [Security] Some routes need to be POST #5541
      [Security] Stored XSS in external issue tracker URL format #5545

  PR:		235030
  Submitted by:	Dmitri Goutnik <dg@syrec.org> (maintainer)
  Sponsored by:	Netzkommune GmbH

  Approved by:	ports-secteam (miwi)

Changes:
_U  branches/2019Q1/
  branches/2019Q1/devel/gogs/Makefile
  branches/2019Q1/devel/gogs/distinfo